server.port=8001
spring.application.name=paper-library
#----------tomcat-------------
server.tomcat.threads.max=2500
server.tomcat.max-connections=2500
server.tomcat.uri-encoding=UTF-8

#--------database config--------------
db.host=localhost
db.port=3306
db.name=paper-library-1.0.4
db.username=root
db.password=12345678

com.qmth.datasource.url=jdbc:mysql://${db.host}:${db.port}/${db.name}?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8&nullCatalogMeansCurrent=true
com.qmth.datasource.username=${db.username}
com.qmth.datasource.password=${db.password}
com.qmth.mybatis.log-level=debug

#---------sys config-----------------
sys.config.attachmentType=.xlsx,.xls,.doc,.docx,.pdf,.jpg,.jpeg,.png,.html,.zip,.mp3,.wav,.dll,.exe,.ftl,.bpmn,.xml
sys.config.attachmentLength=100
sys.config.attachmentSize=200
sys.config.sessionActive=24h
spring.resources.static-locations=classpath:/META-INF/resources/,classpath:/resources/

#----------------fss config-----------------
com.qmth.fss.config=/Users/xiaofei/qmth/temporary/paperlibrary/file-temp
com.qmth.fss.server=http://192.168.11.111:8001

#-----------------qmth boot config--------------
com.qmth.api.metrics-endpoint=/metrics-count
com.qmth.api.global-auth=true
#com.qmth.api.global-strict=false
#com.qmth.api.global-rate-limit=1/5s

#token
com.qmth.auth.time-max-ahead=1m
com.qmth.auth.time-max-delay=5m
com.qmth.cache.expire-after-write=8h

com.qmth.logging.root-level=info
com.qmth.logging.file-path=/Users/xiaofei/qmth/temporary/paperlibrary/logs/paper-library.log

#com.qmth.solar.access-key=274f823e5f59410f8b3bb6edcd8e2b6e
#com.qmth.solar.access-secret=y7AO6W0TOdTF8HpWBwGHbp3wfIHsmUKr
#com.qmth.solar.license=/Volumes/extend/\u542F\u660E/\u5206\u5E03\u5F0F\u5370\u5237/\u5206\u5E03\u5F0F\u5370\u5237&\u6559\u7814\u5206\u6790v3.1.0/tc-dev-wl.lic

spring.cache.ehcache.config=classpath:ehcache/ehcache.xml
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8

#-----------------sms config--------------
com.qmth.sms.server=https://solar.qmth.com.cn
sms.config.smsNormalCode=3577
sms.config.smsSignName=\u9038\u6559\u4e91
sms.config.verificationCode=SMS_147416565